%define	_requires_exceptions  pear(tests/lib/Horde/ActiveSync.php)
%define upstream_name Horde_ActiveSync
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.2.4
Release:     	%mkrel 1
Summary:    	Libraries for implementing an ActiveSync server
License:    	GPLv2
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear
Requires:    	php-pear-Horde_Date <= 2.0.0
Requires:    	php-pear-Horde_Support <= 2.0.0
Requires:    	php-pear-Horde_Exception <= 2.0.0
Requires:    	php-pear-Horde_Util <= 2.0.0
Conflicts:   	php-pear-Horde_Date = 2.0.0
Conflicts:   	php-pear-Horde_Exception = 2.0.0
Conflicts:   	php-pear-Horde_Support = 2.0.0
Conflicts:   	php-pear-Horde_Util = 2.0.0
Requires:     	php-pear-channel-horde
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
Provides:      	Horde_ActiveSync = %{version}
Obsoletes:	horde-activesync	


%description
This package provides libraries for implementing an ActiveSync server.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_ActiveSync.xml


%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_ActiveSync.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_ActiveSync
fi

%files
%defattr(-,root,root)
%doc docs/Horde_ActiveSync/COPYING
%{peardir}/Horde/ActiveSync.php
%{peardir}/Horde/ActiveSync/Connector/Exporter.php
%{peardir}/Horde/ActiveSync/Connector/Importer.php
%{peardir}/Horde/ActiveSync/Driver/Base.php
%{peardir}/Horde/ActiveSync/Exception.php
%{peardir}/Horde/ActiveSync/Exception/InvalidRequest.php
%{peardir}/Horde/ActiveSync/Exception/StateGone.php
%{peardir}/Horde/ActiveSync/Message/Appointment.php
%{peardir}/Horde/ActiveSync/Message/Attendee.php
%{peardir}/Horde/ActiveSync/Message/Base.php
%{peardir}/Horde/ActiveSync/Message/Contact.php
%{peardir}/Horde/ActiveSync/Message/Exception.php
%{peardir}/Horde/ActiveSync/Message/Folder.php
%{peardir}/Horde/ActiveSync/Message/Recurrence.php
%{peardir}/Horde/ActiveSync/Message/Task.php
%{peardir}/Horde/ActiveSync/Request/Base.php
%{peardir}/Horde/ActiveSync/Request/FolderCreate.php
%{peardir}/Horde/ActiveSync/Request/FolderSync.php
%{peardir}/Horde/ActiveSync/Request/GetAttachment
%{peardir}/Horde/ActiveSync/Request/GetHierarchy.php
%{peardir}/Horde/ActiveSync/Request/GetItemEstimate.php
%{peardir}/Horde/ActiveSync/Request/MeetingResponse.php
%{peardir}/Horde/ActiveSync/Request/MoveItems.php
%{peardir}/Horde/ActiveSync/Request/Notify.php
%{peardir}/Horde/ActiveSync/Request/Ping.php
%{peardir}/Horde/ActiveSync/Request/Provision.php
%{peardir}/Horde/ActiveSync/Request/Search.php
%{peardir}/Horde/ActiveSync/Request/SendMail.php
%{peardir}/Horde/ActiveSync/Request/SmartForward.php
%{peardir}/Horde/ActiveSync/Request/SmartReply.php
%{peardir}/Horde/ActiveSync/Request/Sync.php
%{peardir}/Horde/ActiveSync/State/Base.php
%{peardir}/Horde/ActiveSync/State/File.php
%{peardir}/Horde/ActiveSync/State/History.php
%{peardir}/Horde/ActiveSync/Sync.php
%{peardir}/Horde/ActiveSync/Timezone.php
%{peardir}/Horde/ActiveSync/Wbxml.php
%{peardir}/Horde/ActiveSync/Wbxml/Decoder.php
%{peardir}/Horde/ActiveSync/Wbxml/Encoder.php
%{peardir}/data/Horde_ActiveSync/migration/1_horde_activesync_base_tables.php
%{peardir}/data/Horde_ActiveSync/migration/2_horde_activesync_peruserpolicykey.php
%{peardir}/data/Horde_ActiveSync/migration/3_horde_activesync_clientidmap.php
%{peardir}/data/Horde_ActiveSync/migration/4_horde_activesync_longtextstatefield.php
%{peardir}/tests/Horde_ActiveSync/Horde/ActiveSync/AllTests.php
%{peardir}/tests/Horde_ActiveSync/Horde/ActiveSync/ContactTest.php
%{peardir}/tests/Horde_ActiveSync/Horde/ActiveSync/FolderSyncTest.php
%{peardir}/tests/Horde_ActiveSync/Horde/ActiveSync/HordeDriverTest.php
%{peardir}/tests/Horde_ActiveSync/Horde/ActiveSync/TimezoneTest.php
%{peardir}/tests/Horde_ActiveSync/Horde/ActiveSync/AppointmentTest.php
%{peardir}/tests/Horde_ActiveSync/Horde/ActiveSync/fixtures/dst.wbxml
%{peardir}/tests/Horde_ActiveSync/Horde/ActiveSync/fixtures/recurrence.wbxml
%{peardir}/tests/Horde_ActiveSync/Horde/ActiveSync/fixtures/simpleexception.wbxml
%{peardir}/tests/Horde_ActiveSync/Horde/ActiveSync/fixtures/appointment.wbxml
%{peardir}/tests/Horde_ActiveSync/Horde/ActiveSync/fixtures/FolderSyncRequest.txt
%{peardir}/tests/Horde_ActiveSync/Horde/ActiveSync/{137c3bb0-838d-499a-9f0e-fb6c0761da51}1
%{xmldir}/Horde_ActiveSync.xml

%changelog

* Mon Feb 27 2012 spuhler <spuhler> 1.2.4-1.mga2
+ Revision: 215520
- update to 1.1.4

* Fri Feb 10 2012 spuhler <spuhler> 1.2.3-1.mga2
+ Revision: 206781
- upgrade to 1.2.3

* Wed Jan 04 2012 spuhler <spuhler> 1.2.1-1.mga2
+ Revision: 190249
- upgrade to 1.2.1

* Thu Dec 29 2011 spuhler <spuhler> 1.2.0-1.mga2
+ Revision: 188785
- upgrade to 1.2.0

* Fri Dec 23 2011 spuhler <spuhler> 1.1.11-1.mga2
+ Revision: 186302
- added additonal files to spec
- upgrade to 1.1.11

* Sat Dec 17 2011 spuhler <spuhler> 1.1.10-1.mga2
+ Revision: 183291
- added the additional files
- upgrade to 1.1.10

* Thu Nov 17 2011 spuhler <spuhler> 1.1.9-1.mga2
+ Revision: 168320
- upgrade to 1.1.9

* Sun Nov 13 2011 spuhler <spuhler> 1.1.8-1.mga2
+ Revision: 167244
- upgrade to 1.1.8

* Sat Nov 05 2011 spuhler <spuhler> 1.1.6-1.mga2
+ Revision: 163921
- upgrade to 1.1.6
- changed Provides: Horde_ActiveSync to php-pear-Horde_LoginTasks = %%{version}
  added define_requires_exceptions  pear(tests/lib/Horde/ActiveSync.php)
- imported package php-pear-Horde_ActiveSync

